Package org.eclipse.ecf.provider.filetransfer.outgoing

# Class MultiProtocolOutgoingAdapterFactory

java.lang.Object
org.eclipse.ecf.core.AbstractContainerAdapterFactory
org.eclipse.ecf.provider.filetransfer.outgoing.MultiProtocolOutgoingAdapterFactory

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdapterFactory`

public class MultiProtocolOutgoingAdapterFactory extends AbstractContainerAdapterFactory

## Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IAdapterFactory

`SERVICE_PROPERTY_ADAPTABLE_CLASS, SERVICE_PROPERTY_ADAPTER_NAMES`

## Constructor Summary

Constructors
Constructor
Description
`MultiProtocolOutgoingAdapterFactory()`

## Method Summary

Modifier and Type
Method
Description
`Class<?>[]`
`getAdapterList()`
`protected Object`
`getContainerAdapter(IContainer container, Class adapterType)`
Method called by implementation of `AbstractContainerAdapterFactory.getAdapter(Object, Class)` if the adaptableObject is an instance of `IContainer`.

### Methods inherited from class org.eclipse.ecf.core.AbstractContainerAdapterFactory

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiProtocolOutgoingAdapterFactory

public MultiProtocolOutgoingAdapterFactory()

## Method Details

### getAdapterList

public Class<?>[] getAdapterList()

Specified by:
  `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
Specified by:
  `getAdapterList` in class `AbstractContainerAdapterFactory`

### getContainerAdapter

protected Object getContainerAdapter(IContainer container, Class adapterType)
Description copied from class: `AbstractContainerAdapterFactory`
Method called by implementation of `AbstractContainerAdapterFactory.getAdapter(Object, Class)` if the adaptableObject is an instance of `IContainer`. Subclasses should implement to return the proper container adapter object based upon the given adapterType.

Specified by:
  `getContainerAdapter` in class `AbstractContainerAdapterFactory`
Parameters:
  `container` - the IContainer adaptable object provided to the adapter. Will not be `null`.
  `adapterType` - the type (interface) of the adapter on the given container. Will not be `null`
Returns:
  Object the container adapter instance. May be `null`.